enrichmentTest {ClueR} | R Documentation

## Fisher's exact test-based enrichment test

### Description

Takes a vector of names representing phosphorylation sites that are partitioned in the same cluster and an kinase-substrate annotation. Test for enrichment of the kinase based on the name vector.

### Usage

    enrichmentTest(clust, annotation, universe, alter = "greater")

### Arguments

`clust` | a vector of names representing phosphorylation sites that are partitioned in the same cluster
`annotation` | a list with names correspond to kinases and elements correspond to substrates belong to each kinase
`universe` | the universe of names to compare against
`alter` | indicates the alternative hypothesis and must be one of "two.sided", "greater" or "less"

### Value

a matrix that contains enrichment of each kinase based on the input name vector.

[Package ClueR version 1.4 Index]